%define module	UNIVERSAL-exports
%define name	perl-%{module}
%define version	0.03
%define release	%mkrel 6

Summary:	Lightweight, universal exporting of variables
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/UNIVERSAL/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildRequires:  perl(Exporter::Lite)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%define _provides_exceptions perl(UNIVERSAL)

%description
This is an alternative to Exporter intended to provide a universal, lightweight
subset of its functionality.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}
# Don't install the UNIVERSAL::require module, now in a separate CPAN distribution
find $RPM_BUILD_ROOT -name '*require*' | xargs rm

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorlib}/UNIVERSAL/exports.pm
%{_mandir}/man3/*

%changelog
* Mon May 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.03-6mdk
- Don't provide perl(UNIVERSAL)

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.03-5mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Thu Dec 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.03-4mdk
- Fix BuildRequires

* Mon Nov 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.03-3mdk
- Remove UNIVERSAL::require from this package, it's now in a separate CPAN
  distribution
- Change summary
- add make test

* Wed Oct 26 2005 Lenny Cartier <lenny@mandriva.com> 0.03-2mdk
- rebuild

* Thu Nov 16 2004 Oden Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.03-1mdk
- initial contrib.
